Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Interface WLMessage

public interface WLMessage
extends javax.jms.Message

A WLMessage provides methods not supported by javax.jms.Message.

WLMessage provide methods for the following:

- Setting the delivery time for the message
- Getting the delivery time for the message

Author:
  Copyright (c) 2001 by BEA Systems, Inc., All Rights Reserved.
See Also:
  `Message`

Fields inherited from class javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Method Summary
`long` | `getJMSDeliveryTime()` Get the delivery time for the message; the delivery time is an absolute time expressed in milliseconds.
`int` | `getJMSRedeliveryLimit()` Get the redelivery limit for the message.
`void` | `setJMSDeliveryTime(long deliveryTime)` Set the delivery time for the message; this method is for use by providers only, and is called automatically when a message is sent.
`void` | `setJMSRedeliveryLimit(int redeliveryLimit)` Set the redelivery limit for the message.

Methods inherited from interface javax.jms.Message
`acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

Method Detail

### getJMSDeliveryTime

    public long getJMSDeliveryTime()
                            throws javax.jms.JMSException

  Get the delivery time for the message; the delivery time is an absolute time expressed in milliseconds. This value is set by the provider when the message sent.

  Returns:
    The delivery time for the message.
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessageProducer.getTimeToDeliver()`, `weblogic.jms.extensions.WLMessageProducer.setTimeToDeliver(long)`

### setJMSDeliveryTime

    public void setJMSDeliveryTime(long deliveryTime)
                            throws javax.jms.JMSException

  Set the delivery time for the message; this method is for use by providers only, and is called automatically when a message is sent. When the message is sent, the current redelivery time is over-ridden.

  Parameters:
    `deliveryTime` - the time to deliver this message.
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessageProducer.getTimeToDeliver()`, `weblogic.jms.extensions.WLMessageProducer.setTimeToDeliver(long)`

### getJMSRedeliveryLimit

    public int getJMSRedeliveryLimit()
                              throws javax.jms.JMSException

  Get the redelivery limit for the message. This is the number of times a message will be redelivered after a recover or rollback. The value is set by the producer when the message is sent.

  Returns:
    The number of times to redeliver the message
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessageProducer.getRedeliveryLimit()`, `weblogic.jms.extensions.WLMessageProducer.setRedeliveryLimit(int)`

### setJMSRedeliveryLimit

    public void setJMSRedeliveryLimit(int redeliveryLimit)
                               throws javax.jms.JMSException

  Set the redelivery limit for the message. This is the number of itmes a message will be redelivered after a recover or rollback. This method should only be called by JMS providers. The value is set by the producer when the message is sent.

  Parameters:
    `redeliveryLimit` - the number of times to redeliver the message
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessageProducer.getRedeliveryLimit()`, `weblogic.jms.extensions.WLMessageProducer.setRedeliveryLimit(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference